#include "led.h"
   
//初始化PA8和PD2为输出口.并使能这两个口的时钟		    
//LED IO初始化
void LED_Init(void)
{
   
	GPIO_InitTypeDef  GPIO_InitStructure;
		
	RCC_APB2PeriphClockCmd(RCC_APB2Periph_GPIOA, ENABLE);	 //使能PB端口时钟
	 
	GPIO_InitStructure.GPIO_Pin = GPIO_Pin_4;				 //LED0-->PA.4 端口配置
	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_Out_PP; 		 //推挽输出
	GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;		 //IO口速度为50MHz
	GPIO_Init(GPIOA, &GPIO_InitStructure);					 //根据设定参数初始化GPIOA.4
	GPIO_SetBits(GPIOA,GPIO_Pin_4);							 //PA.4 输出高
		
	GPIO_InitStructure.GPIO_Pin = GPIO_Pin_5;				 //LED1-->PA.5 端口配置
	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_Out_PP; 		 //推挽输出
	GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;		 //IO口速度为50MHz
	GPIO_Init(GPIOA, &GPIO_InitStructure);					 //根据设定参数初始化GPIOA.5
	GPIO_SetBits(GPIOA,GPIO_Pin_5);							 //PA.5 输出高
	//GPIO_ResetBits(GPIOB,GPIO_Pin_5);						 //PA.5 输出0

	
	
//	GPIO_InitStructure.GPIO_Pin = GPIO_Pin_12|GPIO_Pin_13|GPIO_Pin_14;		//LED2-->PB.12 LED3-->PB.13 LED4-->PB.14 端口配置
//	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_Out_PP; 		 //推挽输出
//	GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;		 //IO口速度为50MHz
//	GPIO_Init(GPIOB, &GPIO_InitStructure);					 //根据设定参数初始化GPIOB.14
//	GPIO_SetBits(GPIOB,GPIO_Pin_12);						 //PB.12 输出高
//	GPIO_ResetBits(GPIOB,GPIO_Pin_12);						 //PB.12 输出0
//	
//	GPIO_SetBits(GPIOB,GPIO_Pin_13);						 //PB.13 输出高
//	GPIO_ResetBits(GPIOB,GPIO_Pin_13);						 //PB.13 输出0
//	
//	GPIO_SetBits(GPIOB,GPIO_Pin_14);						 //PB.14 输出高
//	GPIO_ResetBits(GPIOB,GPIO_Pin_14);						 //PB.14 输出0	

//	GPIO_InitStructure.GPIO_Pin = GPIO_Pin_15;				 //LED5-->PB.15 端口配置
//	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_Out_PP; 		 //推挽输出
//	GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;		 //IO口速度为50MHz
//	GPIO_Init(GPIOB, &GPIO_InitStructure);					 //根据设定参数初始化GPIOB.15
//	GPIO_SetBits(GPIOB,GPIO_Pin_15);						 //PB.15 输出高
//	GPIO_ResetBits(GPIOB,GPIO_Pin_15);						 //PB.15 输出0	
	//RCC_APB2PeriphClockCmd(RCC_APB2Periph_GPIOA|RCC_APB2Periph_GPIOD, ENABLE);	 //使能PA,PD端口时钟
/*
RCC_APB2PeriphClockCmd(RCC_APB2Periph_GPIOA|RCC_APB2Periph_GPIOB, ENABLE);	 //使能PA,PB端口时钟
	

 GPIO_InitStructure.GPIO_Pin = GPIO_Pin_3;				 //LED0-->PA.3 端口配置
 GPIO_InitStructure.GPIO_Mode = GPIO_Mode_Out_PP; 		 //推挽输出
 GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;		 //IO口速度为50MHz
 GPIO_Init(GPIOA, &GPIO_InitStructure);					 //根据设定参数初始化GPIOA.3
 GPIO_SetBits(GPIOA,GPIO_Pin_3);						 //PA.8 输出高
 GPIO_ResetBits(GPIOA,GPIO_Pin_3);						 //PA.8 输出0
	
 GPIO_InitStructure.GPIO_Pin = GPIO_Pin_4;	    		 //LED1-->PA.4 端口配置, 推挽输出
 GPIO_Init(GPIOA, &GPIO_InitStructure);	  				 //推挽输出 ，IO口速度为50MHz
 GPIO_SetBits(GPIOA,GPIO_Pin_4); 						 //PA.4 输出高 
 GPIO_ResetBits(GPIOA,GPIO_Pin_4);						 //PA.4	输出0

 GPIO_InitStructure.GPIO_Pin = GPIO_Pin_5;				 //LED0-->PA.5 端口配置
 GPIO_InitStructure.GPIO_Mode = GPIO_Mode_Out_PP; 		 //推挽输出
 GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;		 //IO口速度为50MHz
 GPIO_Init(GPIOA, &GPIO_InitStructure);					 //根据设定参数初始化GPIOA.5
 GPIO_SetBits(GPIOA,GPIO_Pin_5);						 //PA.5 输出高
 GPIO_ResetBits(GPIOA,GPIO_Pin_5);
	
 GPIO_InitStructure.GPIO_Pin = GPIO_Pin_7;				 //LED0-->PB.7 端口配置
 GPIO_InitStructure.GPIO_Mode = GPIO_Mode_Out_PP; 		 //推挽输出
 GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;		 //IO口速度为50MHz
 GPIO_Init(GPIOB, &GPIO_InitStructure);					 //根据设定参数初始化GPIOB.7
 GPIO_SetBits(GPIOB,GPIO_Pin_7);						 //PB.7 输出高
 GPIO_ResetBits(GPIOB,GPIO_Pin_7);						 //PB.7 输出0
	
 GPIO_InitStructure.GPIO_Pin = GPIO_Pin_8;	    		 //LED1-->PB.8 端口配置, 推挽输出
 GPIO_Init(GPIOB, &GPIO_InitStructure);	  				 //推挽输出 ，IO口速度为50MHz
 GPIO_SetBits(GPIOB,GPIO_Pin_8); 						 //PB.8 输出高 
 GPIO_ResetBits(GPIOB,GPIO_Pin_8);						 //PB.8	输出0

 GPIO_InitStructure.GPIO_Pin = GPIO_Pin_9;				 //LED0-->PB.9 端口配置
 GPIO_InitStructure.GPIO_Mode = GPIO_Mode_Out_PP; 		 //推挽输出
 GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;		 //IO口速度为50MHz
 GPIO_Init(GPIOB, &GPIO_InitStructure);					 //根据设定参数初始化GPIOB.9
 GPIO_SetBits(GPIOB,GPIO_Pin_9);						 //PA.9 输出高
 GPIO_ResetBits(GPIOB,GPIO_Pin_9);

*/
}
